import { defHttp } from '/@/utils/http/axios';

enum Api {
    SelecteLogin = '/base-center/syslog/SelecteLogin',
    Select = '/base-center/syslog/Select'
}

/**
 * @description: 查询登录日志
 * @param: page:页数    must
 * @param: rows:每页数据条数    must
 * @param: keyStr:模糊查询关键字
 * @param: startCreateTimeStr:操作开始时间
 * @param: endCreateTimeStr:操作结束时间 
 */
export const getLoginList = (params) => {
    return new Promise<void>((resolve) => {
        defHttp.post({ url: Api.SelecteLogin, params: params }).then((res) => {
            resolve(res)
        })
    })
};

/**
 * @description: 查询操作日志
 * @param: page:页数    must
 * @param: rows:每页数据条数    must
 * @param: keyStr:模糊查询关键字
 * @param: startCreateTimeStr:操作开始时间
 * @param: endCreateTimeStr:操作结束时间 
 */
export const getSelectList = (params) => {
    return new Promise<void>((resolve) => {
        defHttp.post({ url: Api.Select, params: params }).then((res) => {
            resolve(res)
        })
    })
};